# LSTM + MLP
defaults:
  - base_model
  - loss: ic_loss
  - optimizer: adam
  - metric: q4l_default_metric

output_type: signal
model_type: non_dl
basic_info:
  output_dim: 1
trainer:
  max_epochs: 100

name: XGBoost
components:
  actual_model:
    name: CatBoostModel
    module_path: q4l.model.zoo.gbdt.catboost
    kwargs:
      loss: RMSE
      learning_rate: 0.0421
      subsample: 0.8789
      max_depth: 6
      num_leaves: 100
      thread_count: 20
      grow_policy: Lossguide
      bootstrap_type: Poisson
